> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.debbiecollect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cases

> Get a list of cases paginated



## OpenAPI

````yaml GET /v1/{tenantId}/cases
openapi: 3.1.0
info:
  title: Debbie Platform API Docs
  description: >
    The Debbie API is a RESTful interface, allowing you to programmatically

    update, add and access your data in the platform. It provides predictable
    URLs

    for accessing resources, and uses built-in HTTP features to receive commands
    and

    return responses. This makes it easy to communicate with third party
    systems.


    ## Idempotency


    The Debbie API supports idempotency for non-idempotent requests through the
    optional `Idempotency-Key` header. 

    This ensures that retrying the same request multiple times will produce the
    same result, preventing duplicate operations.


    ### Using Idempotency Keys


    - Include an `Idempotency-Key` header with a unique string (we recommend
    UUIDs)  

    - Maximum key length is 64 characters

    - Keys are valid for 48 hours

    - Responses served from the idempotency cache include an
    `Idempotency-Cached` header


    ### Example

    ```http

    Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000

    ```


    ### Error Cases

    - Invalid key format: 400 Bad Request

    - Reusing a key for a different request: 400 Bad Request


    ### Best Practices

    - Use a new key for each unique business transaction

    - Use the same key when retrying a failed request 

    - Store keys with request details for debugging
  contact:
    email: support@debbie.dk
  version: v0.1.0
  x-logo:
    url: https://debbie-platform.github.io/platform-api-docs/deb-logo.svg
servers:
  - url: https://api.debbiecollect.com
security:
  - bearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for interacting with authorization
  - name: Cases
    description: Endpoints for interacting with cases
  - name: Customers
    description: Endpoints for interacting with customers
  - name: Creditors
    description: Endpoints for interacting with creditors
  - name: Updates
    description: Endpoints for interacting with updates
  - name: Users
    description: Endpoints for interacting with updates
  - name: Files
    description: Endpoints for interacting with files
  - name: Case vouchers
    description: Endpoints for interacting with case vouchers
  - name: Billing
    description: Endpoints for interacting with billing
  - name: Links
    description: Endpoints for generating links
  - name: Webhooks
    description: >-
      Debbie provides a range of webhooks. To try them out please visit Debbie
      Caseworker and navigate to Settings --> Developers --> Webhooks.
  - name: Voucher Type Ids
    description: >
      ### Principals:

      | Type | id |

      | --- | --- |

      | Invoice (Faktura)          | eb41e58e-fccf-419d-a771-cd5027fe6e87 |

      | Credit note (Kreditnota)       | ef2cdc50-230f-4046-b1af-0f9c498dddd3 |

      | Final statement (OpgÃ¸relse)        |
      42385ae0-6846-425c-a793-8d47a3b190b5 |

      | On account invoice (Acontofaktura)    |
      2d101b6e-74f9-4a4d-9f8e-c7abe2264da0 |

      | Loan (GÃ¦ldsbrev)        | bf61f462-6d3c-42e8-a99a-852d4a664926 |


      ### Costs:

      | Type | id |

      | --- | --- |

      | Collection cost (Inkassoomkostning)        |
      07960de4-303d-4793-92da-3a8cfd5da1a1 |

      | Collection fee (Inkassogebyr)             |
      4c3ccbbf-0651-45b2-b37b-4fe736acfd7e |

      | Reminder fee (Rykkergebyr)              |
      3e51bf87-3c8f-4dd5-abd5-69417d113c89 |

      | Compensation cost (Kompensationsgebyr)       |
      ed3e3d61-e1bc-4ee2-9166-adf2c41a2bbf |


      ### Interests:

      | Type | id |

      | --- | --- |

      | DK interest (Procesrente)               |Â
      ca4af363-9925-436c-83d6-23b3db6ed5d2 |

      | Fixed interest (Fastrente)                 |
      299dc393-1b71-4950-860f-8fb485036722 |

      | Yearly interest (Ã…rlig rente)               |
      37db68dd-80be-40c7-8d2d-3619c793107f |


      ### Transactions:

      | Type | id |

      | --- | --- |

      | Deposit (Indbetaling)               |
      c51f2f6a-8081-45ef-b52d-5e0569fdf12e |
externalDocs:
  description: Find out more about Debbie here
  url: https://debbie.dk
paths:
  /v1/{tenantId}/cases:
    get:
      tags:
        - Cases
      summary: Get cases
      description: Get a list of cases paginated
      operationId: get-cases
      parameters:
        - in: path
          name: tenantId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the tenant the case belongs to
        - in: query
          name: page
          schema:
            type: integer
          example: 0
          description: Page to get. Starting from 0.
        - in: query
          name: pageSize
          schema:
            type: integer
          example: 25
          description: Number of items per page.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 0
                      pageSize:
                        type: integer
                        example: 25
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/GetCases'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          $ref: '#/components/responses/UnprocessableContent'
components:
  schemas:
    GetCases:
      type: object
      properties:
        status:
          type: string
          enum:
            - PENDING
            - VERIFIED
            - ENDED
          description: The case status
        statusLog:
          type: array
          description: List of status changes
          items:
            type: object
            properties:
              status:
                type: string
                enum:
                  - PENDING
                  - VERIFIED
                  - ENDED
                description: The case status
              createdAt:
                type: string
                description: Time of status change
        exitReasonLabel:
          $ref: '#/components/schemas/CaseEndReason'
        id:
          type: number
          description: Case sequential id
        caseId:
          type: string
          format: uuid
          description: Id of case
        creditorId:
          type: string
          format: uuid
          description: Id of creditor
        createdAt:
          type: string
          description: Case created at
        endReasonId:
          type: string
          format: uuid
          description: End reason id
        endReasonLabel:
          type: string
          description: End reason label
        customerId:
          type: string
          format: uuid
          description: Id of the customer related to the case
        customerReferenceId:
          type: string
          description: Reference id of the customer related to the case
        groupId:
          type: string
          format: uuid
          description: Gase group id
        groupLable:
          type: string
          format: uuid
          description: Gase group label
        workflowId:
          type: string
          format: uuid
          description: Gase workflow id
        workflowLable:
          type: string
          format: uuid
          description: Gase workflow label
    CaseEndReason:
      type: string
      enum:
        - PAID
        - OVERPAYMENT
        - PARTIALLY_PAID
        - DEAD
        - BANKRUPTCY
        - OBJECTION
        - ERROR_CREDITOR
        - ERROR_US
        - WITHDRAWN
        - EXPIRATION
        - IRRECOVERABLE
        - TRANSFERRED
        - NO_COURT
        - UNIDENTIFIED
        - OFFER_FROM_US
        - OFFER_FROM_DEBTOR
        - FORCED_DISSOLVED
        - NEGATIVE_PAYOFF
        - DEPARTED
        - CREDITOR_UNRESPONSIVE
        - MERGED
        - FIRE_AND_FORGET
        - SMALL_CASE_NOT_WANTED
        - ADDRESS_UNKNOWN
        - DEBT_RELIEF
        - CONFLICT_OF_INTEREST
        - MINOR
        - DELETED
        - NO_DEBT
      description: Reason why the case is ended
  responses:
    UnauthorizedError:
      description: Access token missing or invalid
    UnprocessableContent:
      description: Unable to process the contained instructions.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication can be done by using a bearer token in the Authorization
        header. This is done using the following format `Authorization: Bearer
        {token}`.

````